Name:           c-ares
Version:        1.19.1
Release:        3
Summary:        A C library for asynchronous DNS requests

License:        MIT
URL:            https://c-ares.org/
Source0:        https://c-ares.org/download/%{name}-%{version}.tar.gz

BuildRequires:  gcc autoconf automake libtool g++
# Patch0 from Redhat is applied for stopping overriding AC_CONFIG_MACRO_DIR
Patch0:         0000-Use-RPM-compiler-options.patch
Patch1:         backport-disable-live-tests.patch
Patch2:         backport-CVE-2024-25629.patch

%description
This is c-ares, an asynchronous resolver library. It is intended for applications
which need to perform DNS queries without blocking, or need to perform multiple

%package        devel
Summary:        C-ares development files
Requires:       %{name} = %{version}-%{release} pkgconfig

%description    devel
The headers and libraries files that c-ares required to compile applications or
shared objects are contained in %{name}-devel package.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -if
%if "%{?toolchain}" == "clang"
  %global conf_opts --enable-debug
%endif
%configure --enable-shared --disable-static --disable-dependency-tracking  %{?conf_opts}
make %{?_smp_mflags}

%install
%make_install
%delete_la
%ldconfig_scriptlets

%check
cd test
./configure
cd ../
%make_build -C test
./test/arestest

%files
%doc CHANGES LICENSE.md
%{_libdir}/*.so.*

%files devel
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libcares.so
%{_includedir}/*.h

%files help
%doc NEWS README.cares README.md
%{_mandir}/man3/*

%changelog
* Mon Apr 1 2024 liyunfei<liyunfei33@huawei.com> - 1.19.1-3
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix missing -g for clang build

* Tue Feb 27 2024 liweigang <izmirvii@gmail.com> - 1.19.1-2
- Type: CVE
- CVE: CVE-2024-25629
- SUG: NA
- DESC: fix CVE-2024-25629

* Tue Jul 25 2023 xinghe <xinghe2@h-partners.com> - 1.19.1-1
- Type:requirements
- ID:NA
- SUG:NA
- DESC:update c-ares to 1.19.1

* Thu Jun 01 2023 xinghe <xinghe2@h-partners.com> - 1.18.1-6
- Type:CVE
- CVE:CVE-2023-31124 CVE-2023-31147
- SUG:NA
- DESC:fix CVE-2023-31124 CVE-2023-31147

* Mon May 29 2023 xinghe <xinghe2@h-partners.com> - 1.18.1-5
- Type:CVE
- CVE:CVE-2023-32067 CVE-2023-31130
- SUG:restart
- DESC:fix CVE-2023-32067 CVE-2023-31130

* Fri Feb 10 2023 xignwei <xingwei14@h-partners.com> - 1.18.1-4
- Type:cves
- CVE:CVE-2022-4904
- SUG:NA
- DESC:fix CVE-2022-4904

* Tue Aug 02 2022 gaihuiying <eaglegai@163.com> - 1.18.1-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:rebuild to 1.18.1-3

* Wed Feb 9 2022 chengyechun <chengyechun1@huawei.com> - 1.18.1-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:enable test and disable live tests

* Wed Jan 12 2022 gaihuiying <gaihuiying1@huawei.com> - 1.18.1-1
- Type:requirement
- Id:NA
- SUG:NA
- DESC:update c-ares to 1.18.1

* Thu Aug 12 2021 gaihuiying <gaihuiying1@huawei.com> - 1.17.1-2
- fix CVE-2021-3672

* Sat Jan 30 2021 xihaochen <xihaochen@huawei.com> - 1.17.1-1
- Type:requirements
- Id:NA
- SUG:NA
- DESC:update c-ares to 1.17.1

* Tue Sep 8 2020 lunankun <lunankun@huawei.com> - 1.16.1-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix source0 url

* Wed Jul 22 2020 gaihuiying <gaihuiying1@huawei.com> - 1.16.1-1
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update c-ares version to 1.16.1

* Mon Sep 09 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.15.0-1
- Package Init
